<?php
include "../components/functions.php";
include "../components/database/db.php";

session_start();
if (isset($_SESSION["loggedIn"]) && $_SESSION["loggedIn"] === true) {
    header("location: welcome.php");
    exit;
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $password_err = $phone_err = $phone = $password = "";

    if (empty(trim($_POST["phone"]))) {
        $phone_err = "لطفا شماره تلفن خود را وارد کنید.";
    } else {
        $phone = trim($_POST["phone"]);
    }

    // Check if password is empty
    if (empty(trim($_POST["password"]))) {
        $password_err = "لطفا پسورد خود را وارد کنید.";
    } else {
        $password = trim($_POST["password"]);
    }

    if (empty($email_err) && empty($password_err)) {

        $user=getUserByPhone($phone);
        if($user){
            echo $password;
            echo $user->password;
            if (password_verify($password, $user->password)) {
                session_start();

                $_SESSION['id']=$user->id;
                $_SESSION["loggedIn"]=1;

                header("location:welcome.php");
            }else{
                $password_err = "پسورد غلط است.";
            }
        }else{
            $phone_err="کاربر با شماره وارد شده یافت نشد.";
        }
    }


}

?>


<!DOCTYPE>
<html>
<head>

    <?php
    echo css_include();
    echo script_include();
    ?>
</head>

<body>
<div class="container" id="login_container">
    <div class="flex-container">
        <form class="border" id="form_border" method="post" action="login.php">
            <div class="form-group py-4">
                <span class="login_title py-3" style="font-family:'B Titr'">ورود</span>
            </div>
            <div class="form-group">
                <label for="mobile">تلفن همراه</label>
                <input type="text" class="form-control rounded-pill" id="mobile" name="phone" aria-describedby="mobileErr"
                       placeholder="۰۹۱۲۳۴۵۶۷۸" maxlength="11">
                <small id="mobileErr" style="color: red">
                    <?php
                    if(!empty($phone_err))
                    echo $phone_err;
                    ?>
                </small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">رمز عبور</label>
                <input type="password" class="form-control rounded-pill" id="password" name="password"
                       aria-describedby="passErr">
                <small id="passErr" style="color:red">
                    <?php
                    if(!empty($password_err))
                        echo $password_err;
                    ?>
                </small>
            </div>
            <div class="form-group">
                <a href="#">رمز عبورم را فراموش کرده‌ام</a>
            </div>
            <!--            <button type="submit" class="btn btn-primary rounded-pill pb-2" style="position: absolute;left: 50px;background-color: #f1b439;border-color: #f1b439">ورود</button>-->
            <!--            <button onclick="location.href='#';" type="button"  style="" class="btn btn-primary rounded-pill" >ثبت نام</button>-->
            <div class="row">
                <button type="submit"
                        class="btn btn-primary rounded-pill pb-2 col-5 default_btn" id="submitButton">ورود
                </button>
                <div class="col-2"></div>
                <button onclick="f()"
                        type="button" class="btn btn-primary rounded-pill col-5 default_btn" id="button">ثبت نام
                </button>
            </div>

        </form>
    </div>
</div>

</body>
<script>
    function f(e) {
        var v = document.getElementById("mobile").value;
        {
            if (v.length != 0) {
                var flag = 0;
                if (v.length != 11) {
                    flag = 1;
                }
                if (v[0] != "0") {
                    flag = 1;
                }
                if (flag) {
                    document.getElementById('mobileErr').innerHTML = 'شماره موبایل فاقد اعتبار است';
                    return false;
                } else {
                    location.replace("register.php?mobile=" + v);
                }
            } else {
                location.replace("register.php");
            }
        }


    }
</script>
</html>