<?php
include "../components/functions.php";
include "../components/database/db.php";

//todo server side validation

session_start();
if(isset($_SESSION["id"])){
    $id=$_SESSION["id"];
    $user=getUser($id);
    if($_SERVER["REQUEST_METHOD"] == "POST"){

        $error=0;
        $pass_error="";

        $name=trim($_POST["firstName"]);
        $family=trim($_POST["familyName"]);
        $email=trim($_POST["email"]);

        $pass=trim($_POST["password"]);
        $rePass=trim($_POST["rePassword"]);

        $user->name=$name." ".$family;

        $user->email=$email;

        if($pass!=$rePass){
            $pass_error="پسورد همخوانی ندارد";
            $error=1;
        }else{
            $user->password=password_hash($pass,PASSWORD_DEFAULT);
        }

        if(!$error){
            if(insertUser($user)){
                $_SESSION["loggedIn"]=1;
                header("location:welcome.php");
            }
        }


    }
}else{
    header("location:login.php");
}

?>
<!DOCTYPE>
<html>
<head>
    <?php
    echo css_include();
    echo script_include();
    ?>
</head>
<style>


</style>
<body >
<div class="container" id="register_container">
    <div class="flex-container">
        <form class="border" id="form_border" method="post" action="info.php">
            <div class="form-group py-4">
                <span class="login_title py-3" style="font-family:'B Titr'">ثبت نام</span>
            </div>
            <div class="form-group">
                <label for="firstName">نام</label>
                <input type="text" class="form-control rounded-pill" id="firstName" name="firstName" aria-describedby="nameErr">
                <small id="nameErr" style="color:red"></small>
            </div>
            <div class="form-group">
                <label for="familyName">نام خانوادگی</label>
                <input type="text" class="form-control rounded-pill" id="familyName" name="familyName" aria-describedby="familyErr">
                <small id="familyErr" style="color:red"></small>
            </div>
            <div class="form-group">
                <label  for="mobile">تلفن همراه</label>
                <input type="text" class="form-control rounded-pill" id="mobile" name="mobile" aria-describedby="mobileErr"  maxlength="10" disabled value="<?php echo $user->phone ?>">
                <small id="mobileErr" style="color: red"></small>

            </div>
            <div class="form-group">
                <label for="email">ایمیل</label>
                <input type="text" class="form-control rounded-pill" id="email" name="email" aria-describedby="emailErr"placeholder="example@gmail.com">
                <small id="emailErr" style="color:red"></small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">رمز عبور</label>
                <input type="password" class="form-control rounded-pill" id="password" name="password" aria-describedby="passErr">
                <small id="passErr" style="color:red"></small>
            </div>
            <div class="form-group">
                <label for="reExampleInputPassword1">تکرار رمز عبور</label>
                <input type="password" class="form-control rounded-pill" id="rePassword" name="rePassword" aria-describedby="rePassErr">
                <small id="rePassErr" style="color:red"></small>
            </div>
            <br>

            <button type="button" class="btn btn-primary rounded-pill pb-2" style="background-color: green;border-color: green;width: 100%" onclick="checkInfo()">ثبت نام</button>


        </form>
    </div>
</div>

</body>
<script>
    function _(el) {
        return document.getElementById(el);
    }

    function validateEmail(email) {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(String(email).toLowerCase());
    }

    function checkInfo() {
        let name = document.getElementById("firstName").value;
        let family = document.getElementById("familyName").value;
        let email = document.getElementById("email").value;
        let pass = document.getElementById("password").value;
        let rePass = document.getElementById("rePassword").value;

        _("nameErr").innerHTML="";
        _("familyErr").innerHTML="";
        _("passErr").innerHTML="";
        _("rePassErr").innerHTML="";
        _("emailErr").innerHTML="";
        var error=0;
        if(name.length===0){
            _("nameErr").innerHTML="نام را وارد کنید.";
            error=1;
        }
        if(family.length===0){
            _("familyErr").innerHTML="نام خانوادگی را وارد کنید.";
            error=1;

        }
        if(pass.length===0){
            _("passErr").innerHTML="پسورد را وارد کنید.";
            error=1;
        }
        if(rePass.length===0){
            _("rePassErr").innerHTML="تکرار پسورد را وارد کنید.";
            error=1;
        }
        if(!validateEmail(email)){
            _("emailErr").innerHTML="ایمیل معتبر نیست";
            error=1;
        }
        if(pass!==rePass){
            _("rePassErr").innerHTML="پسورد با تکرار همخوانی ندارد";
            error=1;
        }
        if(!error){
            document.getElementById("form_border").submit();
        }



    }
</script>

</html>
