var isFormValid=0;
var isUploadValid=0;
function _(el) {
    return document.getElementById(el);
}
function getExtension(filename) {
    var parts = filename.split('.');
    return parts[parts.length - 1];
}
function isVideo(filename) {
    var ext = getExtension(filename);
    switch (ext.toLowerCase()) {
        case 'm4v':
        case 'avi':
        case 'mpg':
        case 'mp4':
            return true;
    }
    return false;
}

function uploadFile() {
    var file = _("file1").files[0];
    // alert(file.name+" | "+file.size+" | "+file.type);
    var error="";
    if(file.size>=100000000){
        error+="حجم فایل نامناسب است."
    }
    if(!isVideo(file.name)){
        error+="نوع فایل باید ویدیو باشد."
    }
    if(error!==""){
        _("status").innerHTML=error;
    }else{

        _("file-input").style.display="none";
        _("upload-btn").style.display="none";

        _("file-container").style.display="block";
        var formdata = new FormData();
        formdata.append("myfile", file);
        var ajax = new XMLHttpRequest();
        ajax.upload.addEventListener("progress", progressHandler, false);
        ajax.addEventListener("load", completeHandler, false);
        ajax.addEventListener("error", errorHandler, false);
        ajax.addEventListener("abort", abortHandler, false);
        ajax.open("POST", "upload.php"); // http://www.developphp.com/video/JavaScript/File-Upload-Progress-Bar-Meter-Tutorial-Ajax-PHP
        //use file_upload_parser.php from above url
        ajax.send(formdata);
    }

}

function progressHandler(event) {

    var percent = (event.loaded / event.total) * 100;
   // _("progressBar").setAttribute("aria-valuenow",""+Math.round(percent));
    var current_progress =Math.round(percent);
    $("#dynamic")
        .css("width", current_progress + "%")
        .attr("aria-valuenow", current_progress)
        .text(current_progress.toString().toPersianDigit()+" %");

    //$("#dynamic").attr("aria-valuenow", Math.round(percent));
    //_("progressBar").value = Math.round(percent);
   // _("status").innerHTML = Math.round(percent) + "% uploaded... please wait";
}

function completeHandler(event) {
    _("status").style.color="green";
    _("status").innerHTML = event.target.responseText;
   // _("dynamic").style.display="none";
    _("status").innerHTML="<video width=\"400\" controls>\n" +
        "  <source src=\""+event.target.responseText+"\" type=\"video/mp4\">\n" +
        "</video>";
    _("status").innerHTML+="<br/>";
    _("status").innerHTML+="فایل با موفقیت آپلود شد.";
    isUploadValid=1;

}

function errorHandler(event) {
    _("status").innerHTML = "در آپلود مشکلی رخ داده.";
    _("file-input").style.display="block";
    _("upload-btn").style.display="block";
}

function abortHandler(event) {
    _("status").innerHTML = "آپلود لغو شد.";
    _("file-input").style.display="block";
    _("upload-btn").style.display="block";
}

String.prototype.toPersianDigit = function() {
    return this.replace(/\d+/g, function(digit) {
        var ret = '';
        for (var i = 0, len = digit.length; i < len; i++) {
            ret += String.fromCharCode(digit.charCodeAt(i) + 1728);
        }
        return ret;
    });
};

function sendData() {

    var nc=_("nationalCode").value;
    var fixedNumber=_("fixedNumber").value;
    var address=_("address").value;
    var postalCode=_("postalCode").value;

    _("mcErr").innerHTML="";
    _("ftErr").innerHTML="";
    _("addressErr").innerHTML="";
    _("zipErr").innerHTML="";


    var error=0;
    if(nc.length===0){
        _("mcErr").innerHTML="کد ملی را وارد کنید.";
        error=1;
    }
    if(fixedNumber.length===0){
        _("ftErr").innerHTML="تلفن ثابت را وارد کنید.";
        error=1;

    }
    if(address.length===0){
        _("addressErr").innerHTML="آدرس را وارد کنید.";
        error=1;
    }
    if(postalCode.length===0){
        _("zipErr").innerHTML="کد پستی را وارد کنید.";
        error=1;
    }
    if(!isUploadValid){
        _("status").innerHTML="لطفا فایل را آپلود کنید.";
        error=1;
    }
    if(!error){
        document.getElementById("form_border").submit();
    }



}
