<?php
$servername = "localhost";
$username = "admin";
$password = "admin";
$dbname = "profile_manager";


//serverInfo
//$servername = "localhost";
//$username = "bookieir_profile";
//$password = "_RV!zie6D@6j";
//$dbname = "bookieir_profiles";


//classes
class User
{
    public $id;
    public $name;
    public $email;
    public $phone;
    public $password;
    public $nationalCode;
    public $address;
    public $movies;
    public $registered;
    public $phoneVerified;
}

class ValidationCode
{
    public $number;
    public $date;
    public $code;
}
class Movie{
    public $id;
    public $name;
    public $description;
    public $creator;
    public $tags;
    public $credits;
    public $file;
}


$conn = new mysqli($servername, $username, $password, $dbname);
mysqli_set_charset($conn, "utf8");
// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} else {

}

function getAllUsers()
{
    global $conn;
    $sql = "SELECT * From users";
    $result = $conn->query($sql);

    $userArray = new ArrayObject(array());
    while ($row = $result->fetch_assoc()) {
        $userArray->append(sqlDataToUser($row));
    }
    return $userArray;

}

function getAllMovies()
{
    global $conn;
    $sql = "SELECT * From movies";
    $result = $conn->query($sql);

    $movieArray = new ArrayObject(array());
    while ($row = $result->fetch_assoc()) {
        $movieArray->append(sqlDataToMovie($row));
    }
    return $movieArray;

}

function getUser($id)
{
    global $conn;
    $sql = "SELECT * From users where id=" . $id;
    $result = $conn->query($sql);

    $user = new User();
    while ($row = $result->fetch_assoc()) {
        $user = sqlDataToUser($row);

    }
    return $user;
}

function getMovie($id)
{
    global $conn;
    $sql = "SELECT * From movies where id=" . $id;
    $result = $conn->query($sql);
    $movie = new User();
    while ($row = $result->fetch_assoc()) {
        $movie = sqlDataToMovie($row);
    }
    return $movie;
}



function getUserByPhone($phone)
{
    global $conn;
    $sql = "SELECT * From users where phone=" . $phone;
    $result = $conn->query($sql);


    if($result->num_rows==0){
        return 0;
    }else{
        $user = new User();
        while ($row = $result->fetch_assoc()) {
            $user = sqlDataToUser($row);
        }
        return $user;
    }

}

function deleteUser($id)
{
    global $conn;
    // sql to delete a record
    $sql = "DELETE FROM users WHERE id=" . $id;

    if ($conn->query($sql) === TRUE) {
        return 1;
    } else {
        return 0;
    }

}

function createNewUser($phone){
    global $conn;
    $user = new User();
    $user->phone=$phone;
    $user->phoneVerified=1;

    return insertUser($user);

}

function insertUser(User $user)
{
    global $conn;
    $phoneD=0;
    if(getUserByPhone($user->phone)){
        $phoneD=1;
    }
    if($phoneD){
        $sql ="UPDATE `users` SET 
         `full_name` = '$user->name', `email` = '$user->email',
         `password` = '$user->password', `national_code` = '$user->nationalCode',
          `address` = '$user->address', `movies` = '$user->movies' , `phone_verified`='$user->phoneVerified'
          WHERE `users`.`phone` = $user->phone";
        if ($conn->query($sql) === TRUE) {
            $user2=getUserByPhone($user->phone);
            if($user2!=0)
            return getUserByPhone($user->phone)->id;
            else return 0;
        } else {
            return "Error: " . $sql . "<br>" . $conn->error;
        }
    }
    if(empty($user->id)){
        $sql = "INSERT INTO `users` (`registered`, `full_name`, `email`, `phone`, `password`, `national_code`, `address`, `movies`,`phone_verified`) VALUES ('" . $user->registered . "', 
    '" . $user->name . "', '" . $user->email . "', '" . $user->phone . "', '" . $user->password . "', '" . $user->nationalCode . "', '" . $user->address . "', '" . $user->movies . "','$user->phoneVerified')";
        if ($conn->query($sql) === TRUE) {
            return $conn->insert_id;;
        } else {
            return "Error: " . $sql . "<br>" . $conn->error;
        }
    }else{
        $sql ="UPDATE `users` SET 
         `full_name` = '$user->name', `email` = '$user->email',
         `password` = '$user->password', `national_code` = '$user->nationalCode',
          `address` = '$user->address', `movies` = '$user->movies' , `phone_verified`='$user->phoneVerified'
          WHERE `users`.`id` = $user->id";
        if ($conn->query($sql) === TRUE) {
            return $conn->insert_id;;
        } else {
            return "Error: " . $sql . "<br>" . $conn->error;
        }
    }
}

function insertMovie(Movie $movie)
{
    global $conn;

    if(empty($movie->id)){
        $sql = "INSERT INTO `movies` (`name`, `description`, `creator`, `tags`, `credits`, `file`) VALUES ('" . $movie->name . "', 
    '" . $movie->description . "', '" . $movie->creator . "', '" . $movie->tags . "', '" . $movie->credits . "', '" . $movie->file . "')";
        if ($conn->query($sql) === TRUE) {
            return $conn->insert_id;
        } else {
            return 0;
        }
    }else{
        $sql ="UPDATE `movies` SET 
         `name` = '$movie->name', `description` = '$movie->description',
         `creator` = '$movie->creator', `tags` = '$movie->tags',
          `credits` = '$movie->credits', `file` = '$movie->file' 
          WHERE `movies`.`id` = $movie->id";
        if ($conn->query($sql) === TRUE) {
            return $conn->insert_id;
        } else {
            return 0;
        }
    }
}


function sqlDataToUser($d)
{
    $user = new User();
    $user->registered = $d["registered"];
    $user->name = $d["full_name"];
    $user->email = $d["email"];
    $user->phone = $d["phone"];
    $user->password = $d["password"];
    $user->nationalCode = $d["national_code"];
    $user->address = $d["address"];
    $user->movies = $d["movies"];
    $user->phoneVerified = $d["phone_verified"];
    $user->id=$d["id"];
    return $user;
}

function sqlDataToMovie($d){
    $movie = new Movie();
    $movie->id = $d["registered"];
    $movie->name = $d["name"];
    $movie->description = $d["description"];
    $movie->creator = $d["creator"];
    $movie->credits = $d["credits"];
    $movie->tags = $d["tags"];
    $movie->tags = $d["tags"];
    $movie->file = $d["file"];
    return $movie;
}

function insertUsersByJson($file)
{
    $studentjsondata = file_get_contents($file);
    $data = json_decode($studentjsondata, true);
    $d = "";
    foreach ($data as $d) {
        insertUser(sqlDataToUser($d));
    }
}

function insertValidationCode($phone)
{
    $code = generateRandomString(5);
    global $conn;

    $date = date("h:i:s Y/m/d");
    $sql = "select * from phone_verification where phone=" . $phone;

    $sql2 = "Insert into phone_verification (date,phone,vcode) values ('$date' ,'$phone','$code')";

    $sql3 = "UPDATE `phone_verification` SET `date`='$date',`phone`='$phone',`vcode`='$code' WHERE phone = '$phone'";

    $result = $conn->query($sql);
    if ($result->num_rows == 0) {
        if ($conn->query($sql2)) {
            return $code;
        } else {
            return "error";
        }
    } else {
        if ($conn->query($sql3)) {
            return $code;
        } else {
            return "error";
        }

    }
}

function checkValidationCode($phone, $code)
{
    global $conn;
    $sql = "select * from phone_verification where phone= " . $phone . " AND vcode= " . $code;

    $result = $conn->query($sql);
    if ($result->num_rows == 0) {
        return 0;
    } else {
        return 1;


    }
}

function isPhoneVerified($phone){
    global $conn;
    $sql = "select * from users where phone= " . $phone;
    if($result = $conn->query($sql)){
        while ($row = $result->fetch_assoc()) {
           if($row["phone_verified"]){
               return 1;
           }else 
               return 0;
        }
    }else
        return 0;
}

function generateRandomString($length)
{
    $characters = '0123456789';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}

